<div>
  <p>
    ---
  </p>
  <span>
    <% @user_state = current_user %>
    <%= @user_state ? "Logged in as: " + @user_state.username : "Not logged in" %>

    <%= link_to 'Home', {controller: 'home', action: 'index'}, class: "nav_link" %>

    <% if @user_state %>
      <%= link_to 'Profile', {controller: 'users', action: 'show', id: @user_state.id}, class: "nav_link" %>
      <%= link_to 'Logout', logout_path, method: :delete, class: "nav_link" %>
    <% else %>
      <%= link_to 'Log in', {controller: 'sessions', action: 'create'}, class: "nav_link" %>
    <% end %>
     |
    <% if @user_state && user_is_admin? %>
      <%= link_to 'Review Requests', {controller: 'requests', action: 'index'}, class: "nav_link" %>
      <%= link_to 'Create a User', {controller: 'users', action: 'new'}, class: "nav_link" %>
      <%= link_to 'All Users', {controller: 'users', action: 'index'}, class: "nav_link" %>
    <% end %>
  </span>
</div>